<!DOCTYPE html>
<html>
<head>
    <title>{browserTitle}</title>
    <!-- BEGIN metaTags -->
    {function.buildMetaTag}
    <!-- END metaTags -->
    <link rel="stylesheet" type="text/css" href="{relative_path}/stylesheet.css?{css-buster}" />
    <!-- IF bootswatchCSS --><link href="{bootswatchCSS}" rel="stylesheet" media="screen"><!-- ENDIF bootswatchCSS -->
    <!-- BEGIN linkTags -->
    <link<!-- IF linkTags.link --> link="{linkTags.link}"<!-- ENDIF linkTags.link --><!-- IF linkTags.rel --> rel="{linkTags.rel}"<!-- ENDIF linkTags.rel --><!-- IF linkTags.type --> type="{linkTags.type}"<!-- ENDIF linkTags.type --><!-- IF linkTags.href --> href="{linkTags.href}"<!-- ENDIF linkTags.href --> />
    <!-- END linkTags -->
    <!-- IF useCustomCSS -->
    <style type="text/css">{customCSS}</style>
    <!-- ENDIF useCustomCSS -->

    <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/es5-shim/2.3.0/es5-shim.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7/html5shiv.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.js"></script>
    <script>__lt_ie_9__ = 1;</script>
    <![endif]-->

    <script>
        window._rq = {
            info: {
                staticDomain: ({
                    'www.r.com': 'static.r.com',
                    'www.p.com': 'static.p.com',
                    'www.naga.com': 'static.naga.com',
                    'www.ricequant.com': 'cdn.ricequant.com'
                })[location.host],
                cdnDomain: 'https://cdn.ricequant.com',
                isOnline: location.host.indexOf('ricequant') !== -1
            }
        };
        window._rq2 = {
            staticDomain: _rq.info.staticDomain
        };

        var NOTEBOOK_VERSION = 3;
    </script>
    <!-- FEEDS -->
    <script type="text/x-mathjax-config">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"]  ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"]  ],
            processEscapes: true,
            processEnvironments: true

        },
        // Center justify equations in code and markdown cells. Elsewhere
        // we use CSS to left justify single line equations in code cells.
        displayAlign: 'center',
        "HTML-CSS": {
            availableFonts: [],
            imageFont: null,
            preferredFont: null,
            webFont: "STIX-Web",
            styles: {'.MathJax_Display': {"margin": 0}},
            linebreaks: { automatic: true  }

        }
    });
    </script>
    <script async src="//cdn.bootcss.com/mathjax/2.6.1/MathJax.js?config=TeX-AMS_CHTML"></script>
    <script src="//cdn.ricequant.com/assets/js/decoder.541b2e3c7cc9043d.min.js"></script>

    <script>
        var CDN_PATH = "{cdn_url}";
        var RELATIVE_PATH = "{relative_path}";
        var config = JSON.parse('{configJSON}');
        var app = {};
        app.user = JSON.parse('{userJSON}');
    </script>
    <script src="{relative_path}/nodebb.min.js?{script-buster}"></script>
    <script>
        require.config({
            baseUrl: "{relative_path}/src/modules",
            waitSeconds: 3,
            urlArgs: "{cache-buster}",
            paths: {
                'forum': '../forum',
                'vendor': '../../vendor'
            }
            });

        !function () {
            var linkEle = document.createElement('link');
            linkEle.rel = 'stylesheet';
            linkEle.href = '//' + _rq2.staticDomain + '/assets/lib/notebook/v' + NOTEBOOK_VERSION + '/notebook.css';
            document.head.appendChild(linkEle);

            var scriptEle = document.createElement('script');
            scriptEle.src = '//' + _rq2.staticDomain + '/assets/lib/notebook/v' + NOTEBOOK_VERSION + '/notebook.js';
            document.head.appendChild(scriptEle);
        }();
    </script>
    <!-- IF useCustomJS -->
        {customJS}
    <!-- ENDIF useCustomJS -->

    <!-- Growing IO -->
    <script>
        var _vds = _vds || [];
        window._vds = _vds;

        _vds.push(['setAccountId', '9bc6807c25b59135']);

        if(app.user.username !== "游客"){
            _vds.push(['setCS1', 'user_id', app.user.username]);
        }

        (function() {
            var vds = document.createElement('script');
            vds.type='text/javascript';
            vds.async = true;
            vds.src = ('https:' == document.location.protocol ? 'https://' : 'http://') + 'dn-growing.qbox.me/vds.js';
            var s = document.getElementsByTagName('script')[0];
            s.parentNode.insertBefore(vds, s);
        })();
    </script>
</head>

<body>
    <div style="position:absolute; top:-999px; left:-999px;">
        <img src="//cdn.ricequant.com/wechat/img/logo-wechat.png" alt="logo">
    </div>
    <header>
        <nav class="fr hidden-xs">
            <ul>
                <li class="nav-item dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="javascript:void(0)">竞赛<span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="/contests">详情介绍</a></li>
                        <li><a href="/contest_leaderboard_new/4">排行榜</a></li>
                        <li><a href="/contest_history">历史竞赛</a></li>
                    </ul>
                </li>
                <li class="nav-item"><a class="active" href="/community/category/all">社区</a></li>
                <li class="nav-item"><a href="/courses">学院</a></li>
                <li class="nav-item"><a href="javascript:void(0)" class="js-goto-research">研究</a></li>
                <li class="nav-item"><a href="/algorithms">我的策略</a></li>
                <li class="nav-item"><a href="/pt_shares">策略英雄榜</a><i class="rqicon new">&#xe6e8;</i><div class="new-mask"></div></li>
                <li class="nav-item hot"><a href="/data" target="_blank">数据</a></li>
                <li class="nav-item dropdown">
                    <a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">帮助<span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="/faq">常见问题</a></li>
                        <li><a href="/api/python/chn">Python API 文档</a></li>
                        <li><a href="/api/java/chn">Java API 文档</a></li>
                        <li><a href="/api/futures">期货 API 文档</a></li>
                        <li><a href="/fundamentals">财务数据文档</a></li>
                        <li><a href="/api/research/chn">研究平台文档</a></li>
                        <li><a href="/api/index/china">中国指数数据</a></li>
                        <li><a href="mailto:public@ricequant.com?subject=[Feedback]" target="_blank">反馈</a></li>
                    </ul>
                </li>
                <!-- IF loggedIn -->
                <li id="user_label" class="nav-item dropdown notifications notification-icon">
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" id="user_dropdown" target="_blank">
                        <img id="user-header-picture" src="{user.picture}"/>
                    </a>
                    <ul id="user-control-list" class="dropdown-menu" aria-labelledby="user_dropdown">
                        <li>
                            <a id="user-profile-link" href="{relative_path}/user/{user.userslug}" target="_blank">
                                <i class="fa fa-fw fa-circle status {user.status}"></i> <span id="user-header-name">{user.email}</span>
                            </a>
                        </li>
                        <ul id="notif-list">
                            <li>
                                <a href="#"><i class="fa fa-refresh fa-spin"></i> [[global:notifications.loading]]</a>
                            </li>
                        </ul>
                        <li class="js-page-link page-link"></li>
                        <li id="logout-link">
                            <a href="#"><i class="fa fa-fw fa-sign-out"></i><span> [[global:logout]]</span></a>
                        </li>
                    </ul>
                </li>
                <!-- ELSE -->
                <ul id="logged-out-menu" class="pull-right">
                    <!-- IF allowRegistration -->
                    <li>
                        <a href="/register" target="_self">
                            <i class="fa fa-pencil visible-xs-inline"></i>
                            <span>[[global:register]]</span>
                        </a>
                    </li>
                    <!-- ENDIF allowRegistration -->
                    <li>
                        <a href="{relative_path}/login" target="_self">
                            <i class="fa fa-sign-in visible-xs-inline"></i>
                            <span>[[global:login]]</span>
                        </a>
                    </li>
                </ul>
                <!-- ENDIF loggedIn -->
            </ul>

        </nav>
        <a href="/?f=n" target="_self">
            <i id="logo"></i>
        </a>
    </header>

    <!-- IF !isPt -->
    <div class="navbar navbar-inverse navbar-fixed-top header" role="navigation" id="header-menu">
        <div class="container">
            <!-- IMPORT partials/menu.tpl -->
        </div>
    </div>
    <!-- ENDIF !isPt -->

    <div class="container" id="content">
    <!-- IMPORT partials/noscript/warning.tpl -->
